ServiceAuthorizationManager (Hadoop 0.20.2+320 API)
Date: 2010-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.authorize
Class ServiceAuthorizationManager

    java.lang.Object
      org.apache.hadoop.security.authorize.ServiceAuthorizationManager

    public class ServiceAuthorizationManager

extends Object

An authorization manager which handles service-level authorization for incoming service requests.

Field Summary
`static String` | `SERVICE_AUTHORIZATION_CONFIG` Configuration key for controlling service-level authorization for Hadoop.

Constructor Summary
`ServiceAuthorizationManager()`

Method Summary
`static void` | `authorize(Subject user, Class<?> protocol)` Authorize the user to access the protocol being used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_AUTHORIZATION_CONFIG

    public static final String SERVICE_AUTHORIZATION_CONFIG

  Configuration key for controlling service-level authorization for Hadoop.

  See Also:
    Constant Field Values

Constructor Detail

### ServiceAuthorizationManager

    public ServiceAuthorizationManager()

Method Detail

### authorize

    public static void authorize(Subject user,
                                 Class<?> protocol)
                          throws AuthorizationException

  Authorize the user to access the protocol being used.

  Parameters:
    `user` - user accessing the service
    `protocol` - service being accessed
  Throws:
    `AuthorizationException` - on authorization failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation